import java.util.Scanner;
import java.io.*;

public class CountFrequencies {    
    public static void main(String[] args) throws IOException{
    	FileInputStream fis = new FileInputStream("input.txt");
        int[] countLowerCaseLetter = new int[26];    // initialized to zeros
        
        int characterCode;
        char ch;
        while((characterCode = fis.read()) != -1){
        	ch = (char) characterCode;
        	if(Character.isLowerCase(ch))
        		countLowerCaseLetter[ch - 'a']++;
        }
        
        System.out.printf("%9s%12s%n%n", "Character", "Frequency");
        int index;
        
        for(ch = 'a'; ch <= 'z'; ch++){
        	index = ch - 'a';
        	if(countLowerCaseLetter[index] != 0)
        		System.out.printf("%9c%12d%n", ch, countLowerCaseLetter[index]);
        }  	
    }    
}
